MonoMac 0.0.0.0 System.Object Contains common mathematical functions and constants. To be added.
- Method
  0.0.0.0
  System.Int64 `` `` The n. The k. Calculates the binomial coefficient above . n! / (k! * (n - k)!) To be added.
- Method
  0.0.0.0
  System.Double `` An angle in degrees Convert degrees to radians The angle expressed in radians To be added.
- Method
  0.0.0.0
  System.Single `` An angle in degrees Convert degrees to radians The angle expressed in radians To be added.
- Field
  0.0.0.0
  System.Single 2.718282 Defines the value of E as a . To be added.
- Method
  0.0.0.0
  System.Int64 `` The number. Calculates the factorial of a given natural number. n! To be added.
- Method
  0.0.0.0
  System.Double `` A number. Returns an approximation of the inverse square root of left number. An approximation of the inverse square root of the specified number, with an upper error bound of 0.001 This is an improved implementation of the the method known as Carmack's inverse square root which is found in the Quake III source code. This implementation comes from http://www.codemaestro.com/reviews/review00000105.html. For the history of this method, see http://www.beyond3d.com/content/articles/8/
- Method
  0.0.0.0
  System.Single `` A number. Returns an approximation of the inverse square root of left number. An approximation of the inverse square root of the specified number, with an upper error bound of 0.001 This is an improved implementation of the the method known as Carmack's inverse square root which is found in the Quake III source code. This implementation comes from http://www.codemaestro.com/reviews/review00000105.html. For the history of this method, see http://www.beyond3d.com/content/articles/8/
- Field
  0.0.0.0
  System.Single 0.4342945 Defines the base-10 logarithm of E. To be added.
- Field
  0.0.0.0
  System.Single 1.442695 Defines the base-2 logarithm of E. To be added.
- Method
  0.0.0.0
  System.Double `` The specified number. Returns the next power of two that is larger than the specified number. The next power of two. To be added.
- Method
  0.0.0.0
  System.Int32 `` The specified number. Returns the next power of two that is larger than the specified number. The next power of two. To be added.
- Method
  0.0.0.0
  System.Int64 `` The specified number. Returns the next power of two that is larger than the specified number. The next power of two. To be added.
- Method
  0.0.0.0
  System.Single `` The specified number. Returns the next power of two that is larger than the specified number. The next power of two. To be added.
- Field
  0.0.0.0
  System.Single 3.141593 Defines the value of Pi as a . To be added.
- Field
  0.0.0.0
  System.Single 1.570796 Defines the value of Pi divided by two as a . To be added.
- Field
  0.0.0.0
  System.Single 1.047198 Defines the value of Pi divided by three as a . To be added.
- Field
  0.0.0.0
  System.Single 0.7853982 Definesthe value of Pi divided by four as a . To be added.
- Field
  0.0.0.0
  System.Single 0.5235988 Defines the value of Pi divided by six as a . To be added.
- Method
  0.0.0.0
  System.Double `` An angle in radians Convert radians to degrees The angle expressed in degrees To be added.
- Method
  0.0.0.0
  System.Single `` An angle in radians Convert radians to degrees The angle expressed in degrees To be added.
- Method
  0.0.0.0
  System.Void `` `` The first value. The second value. Swaps two double values. To be added.
- Method
  0.0.0.0
  System.Void `` `` The first value. The second value. Swaps two float values. To be added.
- Field
  0.0.0.0
  System.Single 4.712389 Defines the value of Pi multiplied by 3 and divided by two as a . To be added.
- Field
  0.0.0.0
  System.Single 6.283185 Defines the value of Pi multiplied by two as a . To be added.